@echo off
rem -----------------------------------------------------------------------
rem (C) COPYRIGHT International Business Machines Corp. 2002
rem All Rights Reserved
rem
rem US Government Users Restricted Rights - Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem runJspServer.bat: set environment variables required by db2ejsp.jar
rem                   and start the mini HTTP server
rem -----------------------------------------------------------------------

pushd ..

set CLASSPATH=Win32\db2ejsp.jar;..\..\Clients\Win32\database\jdbc\db2ejdbc.jar;Win32\xerces.jar;sample\jsp\VNSchedule_wsad50\dbbeans.jar;sample\jsp\VNSchedule_wsad50;%CLASSPATH%
set PATH=..\..\Clients\Win32\database\x86;%PATH%

rem -- The command below enables automatic restarting of the mini HTTP web server
rem -- in case it crashes.
rem --
rem -- To disable visual notification of the crash:
rem --   1. Start -> Run...
rem --   2. In the Run window, enter drwtsn32 and click OK.
rem --   2. In the Dr. Watson window, make sure the checkbox for Visual Notification
rem --      is not checked.
rem --
rem -- To disable the window for sending an administrative alert regarding the crash:
rem --   1. Start -> Settings -> Control Panel
rem --   2. In the Control Panel window, double-click System.
rem --   3. In the System Properties window, go to the Advanced tab.
rem --   4. In the Advanced tab, click Startup and Recovery...
rem --   5. In the Startup and Recovery window, make sure the checkbox for
rem --      Send an administrative alert is not checked.

rem java com.ibm.db2e.jsp.server.MiniHttpServer
for /L %%i in (1,0,2) do java -Djava.compiler=NONE com.ibm.db2e.jsp.server.MiniHttpServer

popd