<!--
-----------------------------------------------------------------
(C) COPYRIGHT International Business Machines Corp. 2002
All Rights Reserved

US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-----------------------------------------------------------------
-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<HTML>
<HEAD>
<TITLE>Sample DB2 Everyplace JSP Application: Visiting Nurse</TITLE>
</HEAD>

<BODY>
<%@ page language="java" import="java.util.Date" %>

<%
  String query = "";
  String action = request.getParameter("action");  
  String id     = request.getParameter("ID");  
  String recID  = request.getParameter("RecID");  
  String newID  = request.getParameter("NewID");  
  String date   = request.getParameter("Date");  
  String time   = request.getParameter("Time");  
  String name   = request.getParameter("Name");  
  String bloodPressure = request.getParameter("BloodPressure");  
  String pulseRate = request.getParameter("PulseRate");  
  String temp   = request.getParameter("Temp");  
  String weight = request.getParameter("Weight");  
  String comment= request.getParameter("Comment");  
  int    createdID = 0;
  int    noRecord  = 0;
%>						 
 
<tsx:dbconnect id="myDbConnection"
  driver="com.ibm.db2e.jdbc.DB2eDriver"
  url="jdbc:db2e:.\\sample\\data\\" 
  userid=""
  passwd="">
</tsx:dbconnect>

<b><%= name %></b> <br><br>

<%
  if (action.equals("record")) {
    query = "SELECT RECORDID, Date_C, TIME_C from VNMedicalRecord where PatientID ='"+ id +"' ORDER BY Date_C, TIME_C";
%>
    <tsx:dbquery connection="myDbConnection" id="rs1">
      <%= query %>
    </tsx:dbquery>
<%
    try {
      recID = rs1.getString(1);
%>

Medical Records <br><br>

<TABLE border="1">
<TR>
  <TH>Date</TH>
  <TH>Time</TH>
</TR>
<tsx:repeat> 
<TR>
  <TD>
    <%
      recID = rs1.getString(1); 
      date  = rs1.getString(2);
      time  = rs1.getString(3);
    %>
    <a href="/VisitingNurse/medrecord.jsp?action=view&ID=<%= id %>&RecID=<%= recID %>&Name=<%= name %>&Date=<%= date %>&Time=<%= time %>"><tsx:getProperty name="rs1" property="Date_C" />
  </TD>
  <TD>
    <tsx:getProperty name="rs1" property="TIME_C" />
  </TD>
</TR>
</tsx:repeat>
</TABLE>

<%
    } catch (SQLException ex) {
      noRecord = 1;
      out.println("No records.");
    }
%>

<br>
<a href=/VisitingNurse/schedule.jsp >Schedule</a>
<% if (noRecord == 0) { %>
| <a href=/VisitingNurse/contact.jsp?action=contact&ID=<%= id %>&Name=<%=response.encodeURL(name) %> >Contacts</a> 
| <a href=/VisitingNurse/medrecord.jsp?action=add&ID=<%= id %>&Name=<%=response.encodeURL(name) %>&Date=<%= date %>&Time=<%= time %> >Add Record</a>
<% } %>

<%
  } else if (action.equals("view")) {
    query = "SELECT BLOODPRESSURE, PULSERATE, TEMPERATURE, WEIGHT, COMMENT from VNMedicalRecord where RECORDID ="+ recID ;
%>
   <tsx:dbquery connection="myDbConnection" id="rs1">
     <%= query %>
   </tsx:dbquery>

Medical Record:&nbsp;&nbsp;&nbsp;<%= date %>&nbsp;&nbsp;&nbsp;<%= time %>
<hr>
Blood Pressure: <tsx:getProperty name="rs1" property="BLOODPRESSURE" /> <br>
Pulse Rate: <tsx:getProperty name="rs1" property="PULSERATE" /> <br>
Temperature: <tsx:getProperty name="rs1" property="TEMPERATURE" /> <br>
Weight: <tsx:getProperty name="rs1" property="WEIGHT" /> <br>
Comment: <tsx:getProperty name="rs1" property="COMMENT" /> <br>
<hr>

<br>
<a href=/VisitingNurse/schedule.jsp >Schedule</a> |
<a href="/VisitingNurse/medrecord.jsp?action=record&ID=<%= id %>&Name=<%= name %>">Records</a> |
<a href="/VisitingNurse/medrecord.jsp?action=delete&ID=<%= id %>&RecID=<%= recID %>&Name=<%= name %>&Date=<%= date %>&Time=<%= time %>">Delete Record</a>

<%
  } else if (action.equals("delete")) {
    query = "delete from vnmedicalrecord where RECORDID = " + recID ;
%>
    <tsx:dbmodify connection="myDbConnection">
      <%= query %>
    </tsx:dbmodify>

The record dated <%= date %>&nbsp;<%= time %> has been deleted. <br>

<br>
<a href=/VisitingNurse/schedule.jsp >Schedule</a> |
<a href="/VisitingNurse/medrecord.jsp?action=record&ID=<%= id %>&Name=<%= name %>">Records</a>

<%
  } else if (action.equals("add")) {

    // create a GregorianCalendar with the Pacific Daylight time zone and the current date and time
    Calendar calendar = new GregorianCalendar();
    Date trialTime = new Date();
    calendar.setTime(trialTime);
 
    String dateStr="", timeStr="";
    int    month, day, hour, min, sec;

    dateStr = String.valueOf((calendar.get(Calendar.YEAR))) + "-";
    if ((month = (calendar.get(Calendar.MONTH)+1)) < 10) {
      dateStr = dateStr + "0" + String.valueOf(month) + "-";
    } else {
      dateStr = dateStr + String.valueOf(month) + "-";
    }
    if ((day = calendar.get(Calendar.DATE)) < 10) {
      dateStr = dateStr + "0" + String.valueOf(day);
    } else {
      dateStr = dateStr + String.valueOf(day);
    }

    if ((hour = calendar.get(Calendar.HOUR_OF_DAY)) < 10) {
      timeStr = timeStr + "0" + String.valueOf(hour) + ":";
    } else {
      timeStr = timeStr + String.valueOf(hour) + ":";
    }
    if ((min = calendar.get(Calendar.MINUTE)) < 10) {
      timeStr = timeStr + "0" + String.valueOf(min) + ":";
    } else {
      timeStr = timeStr + String.valueOf(min) + ":";
    }
    if ((sec = calendar.get(Calendar.SECOND)) < 10) {
      timeStr = timeStr + "0" + String.valueOf(sec);
    } else {
      timeStr = timeStr + String.valueOf(sec);
    }

    Random rand = new Random();
    createdID = Math.abs(rand.nextInt());
%>
New Medical Record:&nbsp;&nbsp;&nbsp;<%= dateStr %>&nbsp;&nbsp;&nbsp;<%= timeStr %>

<form method="get" action="/VisitingNurse/medrecord.jsp">
<hr>
<input type="hidden" name="ID" value="<%= id %>"> 
<input type="hidden" name="Name" value="<%= name %>"> 
<input type="hidden" name="NewID" value="<%= createdID %>"> 
<input type="hidden" name="Date" value="<%= dateStr %>"> 
<input type="hidden" name="Time" value="<%= timeStr %>"> 
Blood Pressure: <input type="text" name="BloodPressure" value=""> <br>
Pulse Rate: <input type="text" name="PulseRate" value=""> <br>
Temperature: <input type="text" name="Temp" value=""> <br>
Weight: <input type="text" name="Weight" value=""> <br>
Comment: <input type="text" name="Comment" value=""> <br>
<hr>
<input type=submit name="action" value="Save">
</form>

<a href=/VisitingNurse/schedule.jsp >Schedule</a> |
<a href="/VisitingNurse/medrecord.jsp?action=record&ID=<%= id %>&RecID=<%= recID %>&Name=<%= name %>">Records</a>  

<%
  } else if (action.equals("Save")) {
    query = "insert into vnmedicalrecord values (" + newID +", '" + date + "','" + time + "','" + id + "','" + bloodPressure + "', " + pulseRate + ", " + temp + "," + weight + ", '"+comment+"')" ;
%>

    <tsx:dbmodify connection="myDbConnection">
      <%= query %>
    </tsx:dbmodify>

The new record has been saved. <br>

<br>
<a href=/VisitingNurse/schedule.jsp >Schedule</a> |
<a href="/VisitingNurse/medrecord.jsp?action=record&ID=<%= id %>&RecID=<%= recID %>&Name=<%= name %>">Records</a> 

<%
  } else if (action.equals("edit")) {
    out.println("edit " + newID + " Date:"+date +" "+time);
    out.println("blood pressure: " + bloodPressure + " pulse:"+pulseRate+" temp: "+temp+" weight:"+weight+" comment:"+comment);
  }
%>

</BODY>
</HTML>
